<%-- 
   Copyright 2004 BEA Systems, Inc.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

--%>
<!--Generated by WebLogic Workshop-->
<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ page import="UPSTrackingSample.UpsResponse"%>
<%@ page import="org.controlhaus.ups.TrackResponseDocument"%>
<%@ page import="org.controlhaus.ups.TrackResponseDocument.TrackResponse"%>
<%@ taglib uri="netui-tags-databinding.tld" prefix="netui-data"%>
<%@ taglib uri="netui-tags-html.tld" prefix="netui"%>
<%@ taglib uri="netui-tags-template.tld" prefix="netui-template"%>
<netui-template:template templatePage="/resources/jsp/template.jsp">
    <netui-template:setAttribute value="trackingResults" name="title"/>
    <netui-template:section name="bodySection">
        <br/>
        
        <%
            TrackResponseDocument trackResponseDocument = (TrackResponseDocument) request.getAttribute("results");
            TrackResponse trackResponse = trackResponseDocument.getTrackResponse();            
            UpsResponse upsResponse = new UpsResponse(trackResponse);                       
        %>
        
        <b>Response :</b><br/>        
            <table class="tablebody">
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Customer Context :</td>
                    <td>
                        <%=upsResponse.getCustomerContext()%>
                    </td>
                </tr>
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Response Status Code :</td>
                    <td>
                        <%=upsResponse.getResponseStatusCode()%>
                    </td>
                </tr>
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Response Status Description :</td>
                    <td>
                        <%=upsResponse.getResponseStatusDescription()%>
                    </td>
                </tr>
            </table>
                    
          
          <br/>  
          <b>Shipment :</b><br/>        
            <table class="tablebody">
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Shipper Number :</td>
                    <td>
                        <%=upsResponse.getShipperNumber()%>
                    </td>
                </tr>
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Shipment Identification Number :</td>
                    <td>
                        <%=upsResponse.getShipmentIdentificationNumber()%>
                    </td>
                </tr>                
            </table>
                      
          <br/>  
          <b>Package :</b><br/>        
            <table class="tablebody">
                <tr class="tablebody">
                    <td>&nbsp;</td>
                    <td>Tracking Number :</td>
                    <td>
                        <%=upsResponse.getPackageTrackingNumber()%>
                    </td>
                </tr>                
            </table>                     
            
          <br/>  
          <b>Activities :</b><br/><br/>        
            <table class="tablebody" border="1px">
                <tr class="tablebody">
                    <td valign="top" bgcolor="#cccccc">Address (City, State, Country)<br>
                    </td>
                    <td valign="top" bgcolor="#cccccc">Status Type Description<br>
                    </td>
                    <td valign="top" bgcolor="#cccccc">Date<br>
                    </td>
                    <td valign="top" bgcolor="#cccccc">Time<br>
                    </td>
                </tr>
                <% for (Iterator i = upsResponse.getActivities().iterator() ; i.hasNext() ; )
                {
                    UpsResponse.Activity activity = (UpsResponse.Activity)i.next();                    
                    
                %>                
                <tr class="tablebody">
                    <td valign="top"><%=activity.getAddress()%><br>
                    </td>
                    <td valign="top"><%=activity.getStatusDescription()%><br>
                    </td>
                    <td valign="top"><%=activity.getDate()%><br>
                    </td>
                    <td valign="top"><%=activity.getTime()%><br>
                    </td>
                </tr>
                <%    
                }            
                %>
            </table>            
          
            <br/>&nbsp;  
        </netui-template:section>
</netui-template:template>
